'''
Created on 16/06/2014

@author: Adriana
'''
#Plot J vs J* and Loss
import matplotlib.pyplot as plt
import numpy as np
#import sys
#import csv
#from numpy import genfromtxt 
#import os 
#import math 
#import scipy as sp
#from scipy import interpolate
#from scipy.interpolate import griddata
#from matplotlib import cm

if __name__ == '__main__':
    
    d_opt=[18.859,18.755,18.651,18.548,18.444,18.340,18.237,18.133,18.030]
    d_soc=[18.859,18.755,18.651,18.548,18.444,18.340,18.237,18.133]
    
    J_soc=[12406.8746,12343.06349,12277.85196,12211.31132,12142.23406,12074.26847,12003.75391,11934.21428]
    J_opt=[12540.4105,12483.99881,12428.54605,12373.3966,12317.42806,12262.18033,12206.87747,12151.73246,12094.10439]

    L=[133.5358971,140.9353166,150.6940922,162.0852808,175.1939981,187.9118596,203.1235659,217.5181812]

    plt.figure(1)
    ax = plt.subplot(111)
    ax.plot(d_opt, J_opt, 'ro', d_soc, J_soc, 'ms')
    plt.axis([17.8,19,11900,12600])
    plt.grid(True)
    #plt.label=['free;close initial', 'free,far initial', 'free,far initial, low tol', 'gradient,far initial']
    box = ax.get_position()
    ax.set_position([box.x0, box.y0 + box.height * 0.1,
                 box.width, box.height * 0.9])
    leg=ax.legend(('J*', 'self-optimizing control'),loc='upper center', bbox_to_anchor=(0.5, -0.1),
         fancybox=True, shadow=True, ncol=2, fontsize=12)
    
    leg.get_frame().set_alpha(0.5)
    #plt.legend()
    plt.xlabel('|d|[flow, concentration]')
    plt.ylabel('Profit [$/h]')
    plt.show()
    
    plt.figure(1)
    ax = plt.subplot(111)
    ax.plot( d_soc, L, color='cyan',marker='o')
    plt.axis([17.8,19,120,220])
    plt.grid(True)
    #plt.label=['free;close initial', 'free,far initial', 'free,far initial, low tol', 'gradient,far initial']
    box = ax.get_position()
    ax.set_position([box.x0, box.y0 + box.height * 0.1,
                 box.width, box.height * 0.9])
    leg=ax.legend(('Loss'),loc='upper center', bbox_to_anchor=(0.5, -0.1),
         fancybox=True, shadow=True, ncol=1, fontsize=12)
    
    leg.get_frame().set_alpha(0.5)
    #plt.legend()
    plt.xlabel('|d|[flow, concentration]')
    plt.ylabel('Profit [$/h]')
    plt.show()